/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

  --
  -- Local constants and variables
  --
  l_SERVICE CONSTANT xxas_com_service_repository.service_name%TYPE
                       := 'PDP';
                       
BEGIN
      
  xxas_com_sr_pkg.set_rest_service
    (p_service_name       => l_SERVICE
    ,p_description        => 'Sign off pdp'
    ,p_path               => 'signoff-pdp'
    ,p_consumes           => 'application/xml'
    ,p_produces           => 'application/xml'
    );
    
    
  xxas_com_sr_pkg.set_rest_method
    (p_service_name       => l_SERVICE
    ,p_method_name        => 'Sign off pdp'
    ,p_description        => 'Bulk update one or more pdp'
    ,p_methods            => 'POST'
    ,p_plsql              =>
      q'[
        DECLARE
        
          l_xml         XMLType;
          l_resp        xxas_http_resp_obj;
          
        BEGIN
        
          --
          -- Security is handled at a row-level via the permission
          -- XXELC_APPROVE_PDP_PERM
          --
          xxx_xxas_pdp_team_pkg.signoff_pdp
            (p_request_body => {requestBody});
              
          l_resp := xxas_http_response
                      .ok(xxas_com_msg_pkg.get_success_message_xml
                           (xxas_com_msg_type(xxas_util_pkg.app, 'XXAS_COM_CHNG_SAVE', null)
                           ,'self')
                         )
                      .build();
         
         {response} := l_resp;

        END
      ]'
    );
    
END;
/
COMMIT;
EXIT;
